¿Cómo arreglar mis fuentes de apt-get? -- 12.04 campo con apt campo con software-sources camp askubuntu Relacionados El problema

How to fix my apt-get sources?


1
vote

problema

Español

Después de asomé algunos en fuentes. Lista agregando Cassandra y, por lo tanto, obtengo un error de APT,

  Hämtade 2 484 kB på 7s (345 kB/s)                                               W: failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/precise/Release  Could not find expected post "contrib/binary-amd64/Packages" i Release-filen (Felaktig post i sources.list eller felformulerad fil)  E: Some index files could not be fetched   

El contenido del archivo es

  # deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release amd64 (20120425)]/ dists/precise/main/binary-i386/  # deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release amd64 (20120425)]/ dists/precise/restricted/binary-i386/ # deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release amd64 (20120425)]/ precise main restricted  # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to # newer versions of the distribution. deb http://se.archive.ubuntu.com/ubuntu/ precise main restricted deb-src http://se.archive.ubuntu.com/ubuntu/ precise main restricted  ## Major bug fix updates produced after the final release of the ## distribution. deb http://se.archive.ubuntu.com/ubuntu/ precise-updates main restricted deb-src http://se.archive.ubuntu.com/ubuntu/ precise-updates main restricted  ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu ## team. Also, please note that software in universe WILL NOT receive any ## review or updates from the Ubuntu security team. deb http://se.archive.ubuntu.com/ubuntu/ precise universe deb-src http://se.archive.ubuntu.com/ubuntu/ precise universe deb http://se.archive.ubuntu.com/ubuntu/ precise-updates universe deb-src http://se.archive.ubuntu.com/ubuntu/ precise-updates universe  ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu  ## team, and may not be under a free licence. Please satisfy yourself as to  ## your rights to use the software. Also, please note that software in  ## multiverse WILL NOT receive any review or updates from the Ubuntu ## security team. deb http://se.archive.ubuntu.com/ubuntu/ precise multiverse deb-src http://se.archive.ubuntu.com/ubuntu/ precise multiverse deb http://se.archive.ubuntu.com/ubuntu/ precise-updates multiverse deb-src http://se.archive.ubuntu.com/ubuntu/ precise-updates multiverse  ## N.B. software from this repository may not have been tested as ## extensively as that contained in the main release, although it includes ## newer versions of some applications which may provide useful features. ## Also, please note that software in backports WILL NOT receive any review ## or updates from the Ubuntu security team. deb http://se.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse deb-src http://se.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse  deb http://security.ubuntu.com/ubuntu precise-security main restricted deb-src http://security.ubuntu.com/ubuntu precise-security main restricted deb http://security.ubuntu.com/ubuntu precise-security universe deb-src http://security.ubuntu.com/ubuntu precise-security universe deb http://security.ubuntu.com/ubuntu precise-security multiverse deb-src http://security.ubuntu.com/ubuntu precise-security multiverse  ## Uncomment the following two lines to add software from Canonical's ## 'partner' repository. ## This software is not part of Ubuntu, but is offered by Canonical and the ## respective vendors as a service to Ubuntu users. # deb http://archive.canonical.com/ubuntu precise partner # deb-src http://archive.canonical.com/ubuntu precise partner  ## This software is not part of Ubuntu, but is offered by third-party ## developers who want to ship their latest software. deb http://extras.ubuntu.com/ubuntu precise main deb-src http://extras.ubuntu.com/ubuntu precise main deb http://us.archive.ubuntu.com/ubuntu/ precise multiverse deb-src http://us.archive.ubuntu.com/ubuntu/ precise multiverse deb http://us.archive.ubuntu.com/ubuntu/ precise-updates multiverse deb-src http://us.archive.ubuntu.com/ubuntu/ precise-updates multiverse deb http://repository.spotify.com stable non-free deb http://archive.canonical.com/ precise partner deb-src http://archive.canonical.com/ precise partner  deb http://www.apache.org/dist/cassandra/debian 10x main deb-src http://www.apache.org/dist/cassandra/debian 10x main deb http://us.archive.ubuntu.com/ubuntu/ precise main contrib non-free   

¿Puedes por favor ayudarme a arreglarlo?

Original en ingles

After I poked some in sources.list adding cassandra and so I get an apt-get error:

Hxc3xa4mtade 2 484 kB pxc3xa5 7s (345 kB/s)                                               W: failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/precise/Release  Could not find expected post "contrib/binary-amd64/Packages" i Release-filen (Felaktig post i sources.list eller felformulerad fil)  E: Some index files could not be fetched 

The contents of the file is

# deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release amd64 (20120425)]/ dists/precise/main/binary-i386/  # deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release amd64 (20120425)]/ dists/precise/restricted/binary-i386/ # deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release amd64 (20120425)]/ precise main restricted  # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to # newer versions of the distribution. deb http://se.archive.ubuntu.com/ubuntu/ precise main restricted deb-src http://se.archive.ubuntu.com/ubuntu/ precise main restricted  ## Major bug fix updates produced after the final release of the ## distribution. deb http://se.archive.ubuntu.com/ubuntu/ precise-updates main restricted deb-src http://se.archive.ubuntu.com/ubuntu/ precise-updates main restricted  ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu ## team. Also, please note that software in universe WILL NOT receive any ## review or updates from the Ubuntu security team. deb http://se.archive.ubuntu.com/ubuntu/ precise universe deb-src http://se.archive.ubuntu.com/ubuntu/ precise universe deb http://se.archive.ubuntu.com/ubuntu/ precise-updates universe deb-src http://se.archive.ubuntu.com/ubuntu/ precise-updates universe  ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu  ## team, and may not be under a free licence. Please satisfy yourself as to  ## your rights to use the software. Also, please note that software in  ## multiverse WILL NOT receive any review or updates from the Ubuntu ## security team. deb http://se.archive.ubuntu.com/ubuntu/ precise multiverse deb-src http://se.archive.ubuntu.com/ubuntu/ precise multiverse deb http://se.archive.ubuntu.com/ubuntu/ precise-updates multiverse deb-src http://se.archive.ubuntu.com/ubuntu/ precise-updates multiverse  ## N.B. software from this repository may not have been tested as ## extensively as that contained in the main release, although it includes ## newer versions of some applications which may provide useful features. ## Also, please note that software in backports WILL NOT receive any review ## or updates from the Ubuntu security team. deb http://se.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse deb-src http://se.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse  deb http://security.ubuntu.com/ubuntu precise-security main restricted deb-src http://security.ubuntu.com/ubuntu precise-security main restricted deb http://security.ubuntu.com/ubuntu precise-security universe deb-src http://security.ubuntu.com/ubuntu precise-security universe deb http://security.ubuntu.com/ubuntu precise-security multiverse deb-src http://security.ubuntu.com/ubuntu precise-security multiverse  ## Uncomment the following two lines to add software from Canonical's ## 'partner' repository. ## This software is not part of Ubuntu, but is offered by Canonical and the ## respective vendors as a service to Ubuntu users. # deb http://archive.canonical.com/ubuntu precise partner # deb-src http://archive.canonical.com/ubuntu precise partner  ## This software is not part of Ubuntu, but is offered by third-party ## developers who want to ship their latest software. deb http://extras.ubuntu.com/ubuntu precise main deb-src http://extras.ubuntu.com/ubuntu precise main deb http://us.archive.ubuntu.com/ubuntu/ precise multiverse deb-src http://us.archive.ubuntu.com/ubuntu/ precise multiverse deb http://us.archive.ubuntu.com/ubuntu/ precise-updates multiverse deb-src http://us.archive.ubuntu.com/ubuntu/ precise-updates multiverse deb http://repository.spotify.com stable non-free deb http://archive.canonical.com/ precise partner deb-src http://archive.canonical.com/ precise partner  deb http://www.apache.org/dist/cassandra/debian 10x main deb-src http://www.apache.org/dist/cassandra/debian 10x main deb http://us.archive.ubuntu.com/ubuntu/ precise main contrib non-free 

Can you please help me fix it?

        
 
 

Lista de respuestas

1
 
vote
vote
La mejor respuesta
 

Si solo desea deshacerse de ese error, debe deshabilitar la última línea (la que tiene non-free hacia el final) al poner un # al principio.

Luego, escribe sudo apt-get update y todos deben estar bien. Sigo perdiendo errores que también deshabilitaría las dos líneas.

 

If you only want to get rid of that error you should disable the last line (the one with non-free towards the end) by putting a # at the beginning.

Then you type sudo apt-get update and all should be well. I there remain errors you would disable the two lines before too.

 
 

Relacionados problema

3  No puedo habilitar el socio canónico e independiente, ¿por qué?  ( I cannot enable canonical partner and independent why ) 
En software y actualizaciones en la ficha de otra pestaña de software, quiero habilitar el socio canónico e independiente, después de hacer clic en la casilla...

36  ¿Cómo puedo fijar este "E: Tipo" * 'no se conoce en línea * en la lista de origen ... "Error de actualización?  ( How do i fix this e type is not known on line in source list update ) 
De vez en cuando veo a los usuarios que tienen problemas para actualizar debido a errores como este: ABCDEFGHIJKLMNABCDEFGHIJKLMN8 Con diferentes tipos ...

3  "E: Tipo '<! DOCTYPE' no se conoce en la línea 1 en la lista de origen" ¿Cómo arreglar? [duplicar]  ( Etype doctype is not known on line 1 in source list how to fix ) 
Esta pregunta ya tiene respuestas aquí : ¿Cómo lo hacen? Arreglo este "E: Tipo" * 'no se conoce en l...

192  ¿Cómo arreglar "W: duplicate fuentes.list entrada"?  ( How to fix w duplicate sources list entry ) 
Sigo obteniendo esta advertencia cada vez que intento ejecutar sudo apt-get update . W: Duplicate sources.list entry http://archive.ubuntu.com/ubuntu/ pre...

158  ¿Cómo restaño los repositorios predeterminados?  ( How do i restore the default repositories ) 
Ahora hay errores al actualizar y no puedo instalar la mayoría de los software debido a un corrupto /etc/apt/sources.list archivo. ¿Hay una copia que p...

1  Las fuentes de software se bloquean  ( Software sources crashes ) 
Las fuentes de software se bloquean Cuando lo ejecuto desde la terminal, obtengo este error: sudo software-properties-gtk Traceback (most rec...

11  Límite apt repo a un cierto arco?  ( Limit apt repo to a certain arch ) 
Tengo varios repositorios que no tienen binarios ARBHF (para el compilador cruzado RPI), por lo que ABCDEFGHIJKLMNABCDEFGHIJKLMN0 siempre me da una tonelada...

3  Cómo solucionar el error: "La lista de paquetes o el archivo de estado no se pudo analizar ni abrir"  ( How to fix error the package lists or status file could not be parsed or opene ) 
¿Qué significa este mensaje de error? E:Type '‫‪ppa:kiwixteam/ppa‬‬' is not known on line 52 in source list /etc/apt/sources.list, E:The list of sources c...

95  ¿Cómo cambio los espejos en el servidor Ubuntu de Regional a Main?  ( How do i change mirrors in ubuntu server from regional to main ) 
Tengo un servidor lúcido (10.04) configurado y me gustaría cambiar el espejo de nosotros (o cualquier otro país) al espejo principal de Ubuntu. Por ejemplo,...

1  ¿Cómo solucionar el error de GPG / BADSIG mientras ejecuta APT-Get Update? [duplicar]  ( How to fix gpg error badsig while running apt get update ) 
Esta pregunta ya tiene respuestas aquí : Cerrado hace 9 años . posible duplicado: ¿Cuál es...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos